ProjectControllerGetProjectRepresentation Method |
POST /Project/GetProjectRepresentation
Get the project representation.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetProjectRepresentation")]
public IActionResult GetProjectRepresentation(
[FromBodyAttribute] GetProjectRepresentationOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetProjectRepresentation")>
Public Function GetProjectRepresentation (
<FromBodyAttribute> options As GetProjectRepresentationOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetProjectRepresentation")]
IActionResult^ GetProjectRepresentation(
[FromBodyAttribute] GetProjectRepresentationOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetProjectRepresentation")>]
member GetProjectRepresentation :
[<FromBodyAttribute>] options : GetProjectRepresentationOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetProjectRepresentationOptions
The GetProjectRepresentationOptions class used to configure the method. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A list of
ProjectData objects, or a status code indicating the reason for failure.
See Also